View Issue Details

IDProjectCategoryView StatusLast Update
0005553GNUnettransport servicepublic2019-04-03 16:55
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.1Fixed in Version0.11.1 
Summary0005553: test for v6 availability
DescriptionWe should test if the system seems to support IPv6 (at least in terms of socket(AF_INET6) working at all!) and if V6 is not available, not try and fail to bind to V6. This applies in particular to multiple communicators, but the basic logic should really be in util/ and should also be used by the SERVICE and CLIENT APIs of UTIL (so we should do this test ONCE on startup of the process and cache the result).
TagsNo tags attached.

Activities

Christian Grothoff

2019-03-02 11:11

manager   ~0014116

GNUNET_NETWORK_test_pf() exists, it just does not cache yet.

Christian Grothoff

2019-03-02 11:17

manager   ~0014117

2d4b48f0d..54d83ad05 implements caching.

Christian Grothoff

2019-03-02 11:27

manager   ~0014118

54d83ad05..1b1edf92c uses this in the communicators (TCP/UDP).

1b1edf92c..bb3ff9584 uses the caching function in service.c instead of re-implementing it.

Issue History

Date Modified Username Field Change
2019-02-08 19:14 Christian Grothoff New Issue
2019-02-12 09:22 Christian Grothoff Target Version => 0.12.0
2019-02-14 11:56 Christian Grothoff Assigned To => Christian Grothoff
2019-02-14 11:56 Christian Grothoff Status new => assigned
2019-03-02 11:11 Christian Grothoff Note Added: 0014116
2019-03-02 11:17 Christian Grothoff Note Added: 0014117
2019-03-02 11:27 Christian Grothoff Status assigned => resolved
2019-03-02 11:27 Christian Grothoff Resolution open => fixed
2019-03-02 11:27 Christian Grothoff Fixed in Version => 0.11.1
2019-03-02 11:27 Christian Grothoff Note Added: 0014118
2019-03-02 11:28 Christian Grothoff Target Version 0.12.0 => 0.11.1
2019-04-03 16:55 Christian Grothoff Status resolved => closed